[Numpy-tickets] [NumPy] #395: GCC compiler warning

NumPy numpy-tickets at scipy.net
Mon Dec 4 18:04:31 CST 2006


#395: GCC compiler warning
-----------------------------+----------------------------------------------
 Reporter:  albertstrasheim  |       Owner:  somebody
     Type:  defect           |      Status:  new     
 Priority:  low              |   Milestone:          
Component:  numpy.core       |     Version:  devel   
 Severity:  normal           |    Keywords:          
-----------------------------+----------------------------------------------
 Recent changes to !NumPy (probably in r3475 and r3476) have caused the
 following compiler warning when building with GCC 4.1.1 on Fedora Core 6:

 {{{
 compile options: '-Ibuild/src.linux-i686-2.4/numpy/core/src
 -Inumpy/core/include -Ibuild/src.linux-i686-2.4/numpy/core
 -Inumpy/core/src -Inumpy/core/include -I/usr/include/python2.4 -c'
 gcc: numpy/core/src/multiarraymodule.c
 numpy/core/src/multiarraymodule.c: In function 'PyArray_ArgSort':
 numpy/core/src/multiarraymodule.c:2494: warning: assignment from
 incompatible pointer type
 numpy/core/src/multiarraymodule.c:2496: warning: return from incompatible
 pointer type
 }}}

-- 
Ticket URL: <http://projects.scipy.org/scipy/numpy/ticket/395>
NumPy <http://projects.scipy.org/scipy/numpy>
The fundamental package needed for scientific computing with Python.


More information about the Numpy-tickets mailing list